%define 	name	gnochive
%define 	version	0.7.0
%define 	release	3
%define 	serial	1
%define 	prefix	/usr
%define		skreq	0.1.4
%define		gvfsreq	1.0.0

Summary: 	Frontend for all common compression programs for GNOME
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Copyright:	GPL
Group:		Archiving/Compression
URL:		http://gnochive.sourceforge.net/
Vendor:		Lucian Langa <cooly@gyl.ro>
Source:		http://gnochive.sourceforge.net/%{name}-%{version}.tar.gz
Distribution:   Freshmeat RPMs
Packager:	Brian Wright <bdw at briandwright dot com>

BuildRoot:	/tmp/%{name}-%{version}

# (fc) 0.6.2-3mdk use DTD compliant OMF file
Patch0:     gnochive-0.6.2-omffix.patch.bz2
# (fc) 0.7.0-1mdk fix gnome-vfs cflags
Patch1:		gnochive-0.7.0-gnomevfs.patch.bz2
Patch2:		gnochive-0.7.0-missing-header.patch.bz2

Requires:	gtk+ >= 1.2.0
Requires:	scrollkeeper >= %skreq
Requires:	gnome-vfs >= %gvfsreq
BuildRequires:	scrollkeeper >= %skreq
BuildRequires:  gnome-vfs-devel >= %gvfsreq
BuildRequires:  automake14

%description
gnochive is a frontend for all common archivers for GNOME. It
features creating, extracting, deleting files from archives, encrypting 
archives with password, testing of archives, viewing files in archive.
Supported formats rar, plain tar, gz, bz2, tar.gz, tar.bz2, tar.Z, zip,
jar, zoo, lha, arj, ace, rpm, cpio.



%prep
%setup -q
%patch0 -p1 -b .omffix
%patch1 -p1 -b .gnomevfs
%patch2

CFLAGS=$RPM_OPT_FLAGS \
	#needed by patch1 \
	automake-1.4
	./configure --prefix=%{prefix} --sysconfdir=%{sysconfdir}

%build
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} \
	sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} install

for FILE in "$RPM_BUILD_ROOT/bin/*"; do
        file "$FILE" | grep -q not\ stripped && strip $FILE
done

rm -rf $RPM_BUILD_ROOT%{prefix}/var


%files
%defattr(-,root,root)
%doc ChangeLog COPYING COPYING.LIB COPYING-DOCS README TODO BUGS TIPS

%{prefix}/bin/gnochive
%{prefix}/share/applets/Utility/gnochive_app.desktop
%{prefix}/share/gnome/apps/Applications/gnochive.desktop
%{prefix}/share/gnome/help
%{prefix}/share/omf/%{name}
%{prefix}/share/pixmaps/*
%{prefix}/share/locale/*/LC_MESSAGES/gnochive.mo

%post
if which scrollkeeper-update>/dev/null 2>&1; then scrollkeeper-update; fi

%postun
if which scrollkeeper-update>/dev/null 2>&1; then scrollkeeper-update; fi

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jul 22 2003 Brian Wright <bdw at briandwright dot com>
- Rebuilt for RedHat 9
- Added patches from Mandrake SPEC file
- Gnome VMS Patch requires Automake 1.4, added buildrequires for Automake14
- Moved changelog to end of SPEC file

* Fri May 10 2002 Lucian Langa <cooly@gyl.ro>
- Updated to 0.7.0

* Sat Nov  3 2001 Lucian Langa <cooly@gyl.ro>
- Updated Requires/Build requires
- Updated for GDP documentation style

* Tue Jul 10 2001 Lucian Langa <cooly@gyl.ro>
- Added ScrollKeeper/OMF stuff
- Updated spec file requirements

* Wed Apr 04 2001 Lucian Langa <cooly@gyl.ro>
- Updated spec file to install doc

* Tue Nov 21 2000 Lucian Langa <cooly@gyl.ro>
- Updated spec file

* Sat Nov 18 2000 Lucian Langa <cooly@gyl.ro>
- Changed the name of project.

* Wed Oct 18 2000 Lucian Langa <cooly@gyl.ro>
- Added instalation of gnomerar.desktop and po files
- Updated spec file

* Mon Jun  5 2000 Benoit Dien <bdien@packetengines.com>
- Changed automake/autoconf stuff to compile all stuff
- Fixed spec file
